/*
  gDisplay.c
  
  October 9, 2015
  
  * A simple Menu template.
  * Guest Badge Display control program when
    using line (0,7) as a status line.
*/
#include "simpletools.h"
#include "badgetools.h"
#include "datetime.h"

int states;

void NewClear();  // Clears screen lines 0 - 6.
void bLine();  // Clean a line.

int main()
{
  // Add startup code here.
  badge_setup();

  clear();
  /* This constantly remains on line (0,7). */  
  text_size(SMALL);
  cursor(5,7);
  oledprint("Status line");
 
  while(1)
  {
    // Add main loop code here.
    /* Using continue in the switch statement
       brings you back to this point. */
    NewClear();  // Clear 0 - 6 and set cursor to (0,0)
    text_size(SMALL);
    cursor(0,0);
    oledprint("Any BTN Menu    ");
    
    while(!buttons());  // No button press.
    /* Menu setup. */
    NewClear();
    oledprint("    MENU      ");
    cursor(0,1);
    oledprint("P17-button-P27");
    cursor(0,2);
    oledprint("P16-button-P26");
    cursor(0,3);
    oledprint("P15-button-P25");
    cursor(0,4);
    oledprint("      OSH     ");
    
    while((states = buttons()) == 0);  // Wait for a button press.
    switch(states)
    {
      case 0b0100000:  //p17
        cursor(0,7);   // Use status line.
        oledprint("B17 ");
        continue;    // Goes to the while(1)
      /*********************/
      case 0b0000001:  //P27
        cursor(0,7);   // Use status line.
        oledprint("B27 ");
        continue;    // Goes to the while(1)
      /*********************/
      case 0b0010000:  //P16
        cursor(0,7);  // Use status line.
        oledprint("B16 ");     
        continue;    // Goes to the while(1)
      /*********************/
      case 0b0000010:  //P26
        cursor(0,7);   // Use status line.
        oledprint("B26 ");     
        continue;    // Goes to the while(1)
      /*********************/
      case 0b0001000:  //P15
        cursor(0,7);   // Use status line.
        oledprint("B15 ");
        continue;    // Goes to the while(1)
      /*********************/
      case 0b0000100:  //P25
        cursor(0,7);   // Use status line.
        oledprint("B25 ");
        continue;    // Goes to the while(1)
      /*********************/
      case 0b1000000:  //OSH
        cursor(0,7);   // Use status line.
        oledprint("bOSH");
        continue;    // Goes to the while(1)        
      /*********************/
      default:
        continue;    // Goes to the while(1)
    }      
    
  }  
}

/* To be used for clearing lines 0 - 6 */
void NewClear()
{
  cursor(0,0);
  bLine();
  cursor(0,1);
  bLine();
  cursor(0,2);
  bLine();
  cursor(0,3);
  bLine();
  cursor(0,4);
  bLine();
  cursor(0,5);
  bLine();
  cursor(0,6);
  bLine();
  cursor(0,0);
}


/* Blanks a line. */
void bLine()
{
  oledprint("                ");
}    

